From: Eric Wong <normalperson@yhbt.net>
Date: Thu, 28 Dec 2006 09:10:51 +0000 (-0800)
Subject: test-lib: quiet down init-db output for tests
X-Git-Tag: v1.5.0-rc1~170
X-Git-Url: https://git.lorimer.id.au/gitweb.git/diff_plain/6f7c86df7ade3956559071ea529a711377d80819

test-lib: quiet down init-db output for tests

I don't think anybody running tests needs to know they're
running init-db and creating a repository for testing.

Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
---

diff --git a/t/test-lib.sh b/t/test-lib.sh
index f0f9cd6be0..ad2b6f6ab4 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -176,7 +176,7 @@ test_create_repo () {
 	repo="$1"
 	mkdir "$repo"
 	cd "$repo" || error "Cannot setup test environment"
-	"$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ 2>/dev/null ||
+	"$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ >/dev/null 2>&1 ||
 	error "cannot run git init-db -- have you built things yet?"
 	mv .git/hooks .git/hooks-disabled
 	cd "$owd"